## com.sun.jna.platform.win32
Class Wdm.KEY_INFORMATION_CLASS

    java.lang.Object
      com.sun.jna.platform.win32.Wdm.KEY_INFORMATION_CLASS

Enclosing class:
  Wdm

    public abstract static class Wdm.KEY_INFORMATION_CLASS

extends java.lang.Object

The KEY_INFORMATION_CLASS enumeration type represents the type of information to supply about a registry key.

Field Summary
`static int` `KeyBasicInformation`
`static int` `KeyCachedInformation`
`static int` `KeyFullInformation`
`static int` `KeyNameInformation`
`static int` `KeyNodeInformation`
`static int` `KeyVirtualizationInformation`

Constructor Summary
`Wdm.KEY_INFORMATION_CLASS()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KeyBasicInformation

    public static final int KeyBasicInformation

See Also:
  Constant Field Values

### KeyNodeInformation

    public static final int KeyNodeInformation

See Also:
  Constant Field Values

### KeyFullInformation

    public static final int KeyFullInformation

See Also:
  Constant Field Values

### KeyNameInformation

    public static final int KeyNameInformation

See Also:
  Constant Field Values

### KeyCachedInformation

    public static final int KeyCachedInformation

See Also:
  Constant Field Values

### KeyVirtualizationInformation

    public static final int KeyVirtualizationInformation

See Also:
  Constant Field Values

Constructor Detail

### Wdm.KEY_INFORMATION_CLASS

    public Wdm.KEY_INFORMATION_CLASS()